package org.weld.buggy;

import java.io.IOException;
import javax.servlet.AsyncContext;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@WebServlet(asyncSupported = true, urlPatterns = "/weldasync")
public class MyAsyncHandler extends HttpServlet {

	@Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        doPost(request, response);
    }

    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        final AsyncContext async = request.startAsync(request, response);
        Runnable asyncRunnable = new Runnable() {

            @Override
            public void run() {
                async.complete();
            }

        };
        async.start(asyncRunnable);
    }

}
